import { BasicItemService } from './service';
import { IStateService } from 'angular-ui-router';
export declare abstract class BaseItemController {
    basicItemService: BasicItemService;
    state: IStateService;
    static controllerName: string;
    itemId: string;
    item: any;
    loading: boolean;
    error: string;
    open: boolean;
    protected itemLoadComplete(): void;
    protected itemIsEmpty(): boolean;
    constructor(basicItemService: BasicItemService, $stateParams: any, state: IStateService, returnUrlFunction: (item) => string);
    cancel(returnUrl: string): void;
}
